Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000500Core InformRules and rulebookspublic2011-01-09 17:102014-05-07 07:35
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000500: A rule has "when" in its name, causing spurious syntax errors.
DescriptionThe "can't exit when not inside anything rule" cannot be named in rule headers due to Inform interpreting "when" differently. Recommend rule be renamed to the "can't exit what's not enclosing rule" to match the naming pattern set by many other rules.
Minimal Source Text To Reproduce
There is room.

The of course rules are a rule based rulebook.

Of course for the can't give to yourself rule: rule succeeds.
Of course for the can't wear what's already worn rule: rule succeeds.
Of course for the can't remove what's not inside rule: rule succeeds.
Of course for the can't exit when not inside anything rule: rule succeeds.

Additional InformationProblem. You wrote 'Of course for the can't exit when not inside anything rule' , but the description of the thing(s) to which the rule applies ('the can't exit') did not make sense. This is a rule based rulebook, so that should have described a rule.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
child of 0000686closedgraham Umbrella issue: ni misses an alternative parsing of the source text 

-  Notes
(0000955)
Ron Newcomb (reporter)
2011-01-09 17:11

500th bug! :-P
(0002329)
graham (administrator)
2014-01-19 11:27

Inform is now able to resolve this one.

- Issue History
Date Modified Username Field Change
2011-01-09 17:10 Ron Newcomb New Issue
2011-01-09 17:11 Ron Newcomb Note Added: 0000955
2011-01-10 11:11 jmcgrew Severity mild => serious
2011-01-10 11:11 jmcgrew Status new => confirmed
2011-07-02 18:07 EmacsUser Relationship added related to 0000686
2012-04-02 11:59 EmacsUser Relationship replaced child of 0000686
2014-01-19 11:27 graham Note Added: 0002329
2014-01-19 11:27 graham Status confirmed => resolved
2014-01-19 11:27 graham Resolution open => fixed
2014-01-19 11:27 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker